import { ClientGeneratorExport, GeneratorConfig, GeneratorData } from "../types.js";
export declare const gen_client_data: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_client_types: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_client_contants: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_client_utils: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_clients_functions: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_client_hooks: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const create_client_types_files: (types: string[], data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_client_constants_files: (constants: string[], data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_client_data_files: (operation_data: string[], data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_client_utils_files: (utils: string[], data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_client_function_files: (functions: string[], data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_client_hooks_files: (hooks: string[], data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_client_generator_index_file: (exports: ClientGeneratorExport[], config: GeneratorConfig) => Promise<void>;
