import { DependencyData, GeneratorConfig, GeneratorData, ImportData } from "../types.js";
export declare const get_import_data: (i: string) => ImportData | null;
export declare const add_import: (new_import: string, from_import: string, is_default: boolean, imports: Map<string, ImportData>, as?: string) => void;
export declare const add_imports: (imports_to_add: Map<string, ImportData>, imports: Map<string, ImportData>) => Promise<void>;
export declare const get_imports_data: (imports: string[]) => Map<string, ImportData> | null;
export declare const gen_imports: (imports: Map<string, ImportData>, as_const?: boolean) => string[] | null;
export declare const get_dependencies: (data: GeneratorData) => Promise<Map<string, DependencyData>>;
export declare const clean_imports: (imports: string[]) => string[] | null;
export declare const add_relative_import: (type_name: string, type_to_import: string, data: GeneratorData, config: GeneratorConfig) => void;
