import { FieldData, FieldArgumentData } from 'simple-wasm-graphql-parser';
import { GeneratorConfig, GeneratorData } from "../types.js";
export declare const gen_description: (description: string | null | undefined, indent: number, config: GeneratorConfig) => string | null;
export declare const fill_is_type_field_Data: (field: FieldData | FieldArgumentData, data: GeneratorData) => void;
export declare const is_an_input: (field: FieldData | FieldArgumentData, data: GeneratorData) => boolean;
export declare const convert_to_ts_type: (field: FieldData | FieldArgumentData, add_imports_to: string, data: GeneratorData, config: GeneratorConfig) => string;
export declare const is_primitive: (field: FieldData | FieldArgumentData) => boolean | undefined;
export declare const convert_scalar_to_type: (scalar_name: string, add_imports_to: string, data: GeneratorData, config: GeneratorConfig) => string;
export declare const gen_fields: (fields: FieldData[], add_imports_to: string, data: GeneratorData, config: GeneratorConfig) => Promise<string>;
export declare const instantiate_field: (field: FieldData, add_imports_to: string, recursion: number, data: GeneratorData, config: GeneratorConfig) => Promise<any>;
export declare const get_type_name: (str: string, type_name_type: "type" | "class" | "enum" | "interface" | "const") => string;
export declare const override_types_data: (data: GeneratorData, config: GeneratorConfig) => void;
